classification
Title: Remote debugging with pdb.py
Type: Stage:
Components: Library (Lib) Versions: Python 2.5
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: georg.brandl, loewis, lpelecq, rhettinger
Priority: normal Keywords: patch

Created on 2003-04-14 23:02 by lpelecq, last changed 2006-05-10 17:13 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
cs-dbg.patch lpelecq, 2003-04-14 23:02
Messages (4)
msg43353 - (view) Author: Laurent Pelecq (lpelecq) Date: 2003-04-14 23:02
With this patch, instances of pdb.Pdb can read and
write from arbitrary file objects. It is based on
similar changes that have been made to cmd.py. It
basically consists of replacing print statement with
calls to self.stdout.write.

So it is possible for example to control the debugger
from another terminal to debug curses-based
applications or CGI scripts.

I can provide a basic client/server debugger.

This patch has been tested on Mandrake Linux 9.1 with
the current CVS version.
msg43354 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2003-06-22 17:15
Logged In: YES 
user_id=80475

I think this is a good idea.
It is past the the time for being added to 2.3.
Unassigning, but will come back to it for 2.4.
msg43355 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2006-04-14 16:04
Logged In: YES 
user_id=21627

lpelecq, would you be willing to redo that patch for 2.5?
Using print redirection (instead of .write calls) might be
the easiest way to do it.

rhettinger, do you want to come back to this patch now? If
not, please unassign.
msg43356 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-05-10 17:13
Logged In: YES 
user_id=849994

I committed a version of the patch using output redirection
as rev. 45955.
History
Date User Action Args
2003-04-14 23:02:36lpelecqcreate